main:
	g++ -pthread ThreadPool.cc main.cpp

threadpool:
	g++ -pthread -D ENABLE_PYBIND=1 -O3 -Wall -shared -std=c++11 -fPIC `python3 -m pybind11 --includes` ThreadPool.cc -o ThreadPool`python3-config --extension-suffix`

clean:
	rm -rf *.so __pycache__
